AIAI.comAIAI.com
AI モデル APIVideos

動画生成タスクの作成

動画生成タスクを送信します。テキストから動画への生成と、画像から動画への生成をサポートしています。

タスクIDを返します。GETインターフェースを使用してタスクのステータスを確認できます。

POST
/v1/video/generations

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer Token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

model?string

Model/Style ID

prompt?string

Text description prompt

image?string

Image input (URL or Base64)

duration?number

Video Duration (seconds)

width?integer

Video Width

height?integer

Video height

fps?integer

Video frame rate

seed?integer

Random seed

n?integer

Number of videos generated

response_format?string

Response format

user?string

User Identifier

metadata?

Extended parameters (e.g., negative_prompt, style, quality_level, etc.)

Response Body

application/json

application/json

curl -X POST "https://api.aiai.com/v1/video/generations" \  -H "Content-Type: application/json" \  -d '{}'
{
  "task_id": "abcd1234efgh",
  "status": "queued"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}